cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shazron Abdullah (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-5103) cordova emulate ios broken: --emulator vs. --emulate
Date Thu, 17 Oct 2013 03:59:41 GMT

    [ https://issues.apache.org/jira/browse/CB-5103?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13797577#comment-13797577
] 

Shazron Abdullah commented on CB-5103:
--------------------------------------

Hmm I patched my cordova (3.1.0-0.1.0) using https://gist.github.com/shazron/7018944... but
when I call
{code}
cordova emulate ios
{code}

it still shows the same problem. If I run:
{code}
platforms/ios/cordova/run --emulator
{code}
... it works.

truncated verbose log below:
{code}
$ cordova emulate ios --verbose
cordova library for "ios" already exists. No need to download. Continuing.
Wrote out iOS Bundle Identifier to "aga.aasg.asg"
Wrote out iOS Bundle Version to "0.0.1"
iOS Product Name has not changed (still "Foo")
Calling plugman.prepare for platform "ios"
Preparing ios project...
Processing configuration changes for plugins.
Iterating over installed plugins: []
Writing out cordova_plugins.js...
Running on emulator for platform "ios" via command ""/Users/shazron/Desktop/Foo/platforms/ios/cordova/run"
--emulator" (output to follow)...

[xcodebuild output here..(trimmed)]

Platform "ios" deployed to emulator.
{code}

> cordova emulate ios broken: --emulator vs. --emulate
> ----------------------------------------------------
>
>                 Key: CB-5103
>                 URL: https://issues.apache.org/jira/browse/CB-5103
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI, iOS
>    Affects Versions: Master, 3.1.0
>            Reporter: Carlos Santana
>            Assignee: Carlos Santana
>
> when using "cordova emulate ios"
> It doesn't launch ios simulator ios-sim never gets called
> possible root cause:
> cordova-cli calls "platforms/ios/cordova/run --emulator"
> https://github.com/apache/cordova-cli/blob/master/src/emulate.js#L25
> But cordova/run script expects "--emulate"
> https://github.com/apache/cordova-ios/blob/master/bin/templates/scripts/cordova/run#L62
> possible fix:
> update run to use --emulator instead of --emulate



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message